#

| Appendix F BIND Name Server and Resolver Statements |

## F.2 BIND Resolver Statements

The following statements are for the resolver configuration file, /etc/resolv.conf.

### F.2.1 domain

Function:

  Defines your resolver's default domain

Syntax:

  >     domain domain-name

Example:

  >     domain corp.hp.com

Covered in:

  Chapter 6, Configuring Hosts

### F.2.2 search (4.8.3 and later versions)

Function:

  Defines your resolver's default domain and search list

Syntax:

  >     search default-domain next-domain-in-search-list
  >     ... last-domain- in-search-list

Example:

  >     search corp.hp.com pa.itc.hp.com hp.com

Covered in:

  Chapter 6

### F.2.3 nameserver

Function:

  Tells your resolver to query a particular name server

Syntax:

  >     nameserver IP-address

Example:

  >     nameserver 15.255.152.4

Covered in:

  Chapter 6

### F.2.4 ; and # (4.9.3 and later versions)

Function:

  Adds a comment to the resolver configuration file

Syntax:

  >     ; free-format-comment

  or

  >     # free-format-comment

Example:

  >     # Added parent domain to search list for compatibility
  >     with 4.8.3

Covered in:

  Chapter 6

### F.2.5 sortlist (4.9.3 and later versions)

Function:

  Specifies network numbers for your resolver to prefer

Syntax:

  >     sortlist network-list

Example:

  >     sortlist 128.32.4.0/255.255.255.0 15.0.0.0

Covered in:

  Chapter 6

### F.2.6 options ndots (4.9.3 and later versions)

Function:

  Specifies the number of dots an argument must have in it so that the resolver will look it up before applying the search list

Syntax:

  >     options ndots:number-of-dots

Example:

  >     options ndots:1

Covered in:

  Chapter 6

### F.2.7 options debug (4.9.3 and later versions)

Function:

  Turns on debugging output in the resolver

Syntax:

  >     options debug

Example:

  >     options debug

Covered in:

  Chapter 6

F.1 BIND Name Server Boot File Statements |  |